Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 811501 - object-strorage: uploading file of more than 5GB fails
Summary: object-strorage: uploading file of more than 5GB fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: object-storage
Version: pre-release
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Junaid
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 817967
TreeView+ depends on / blocked
 
Reported: 2012-04-11 09:37 UTC by Saurabh
Modified: 2016-01-19 06:09 UTC (History)
3 users (show)

Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-24 17:33:51 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa38 and gluster-swift-1.0


Attachments (Terms of Use)

Description Saurabh 2012-04-11 09:37:41 UTC
Description of problem:

trying to upload a file of size more than 5GB fails 


Version-Release number of selected component (if applicable):
3.3.0qa33 and latest tarball

How reproducible:
always

Steps to Reproduce:
1. create a file of more than 5GB
2. try to upload it using curl
3.
  
Actual results:
failure seen, with this message,
curl: (55) select/poll returned error
Your request is too large.

This issue is seen on latest tarball.

Expected results:
with glusterfs as backen there are no size limits for large files

Additional info:

Comment 1 Junaid 2012-04-17 11:34:40 UTC
There was new check which the diff for 1.4.5 had not covered. The updated code will be available in new rpms.

Comment 2 Saurabh 2012-04-24 11:05:51 UTC
tried to upload a file of 6GB and it works this time.


Note You need to log in before you can comment on or make changes to this bug.